#ifndef _SAUCER_SAUCER_H_INCLUDED_
#define _SAUCER_SAUCER_H_INCLUDED_

typedef struct _Saucer *Saucer;

#include "Block.h"

Saucer Saucer_Create(double x, double y, double z,
		     int track_num, int sector_num);
int Saucer_Proc(Saucer saucer);
int Saucer_MakePolygon(Saucer saucer);
Block Saucer_GetBlock(Saucer saucer, int track, int sector);
int Saucer_GetTrackNum(Saucer saucer);
int Saucer_GetSectorNum(Saucer saucer);
int Saucer_AddTrackNum(Saucer saucer, int n);
int Saucer_AddSectorNum(Saucer saucer, int n);
int Saucer_Move(Saucer saucer, int count, double x, double y, double z);
int Saucer_Rotate(Saucer saucer, int count, double x, double y, double z);

#endif
